%define section free

Name:           rngpack
Version:        1.1
Release:        0.a.2jpp
Epoch:          1
Summary:        A pseudorandom number generator package for Java
License:        BSD
Vendor:         JPackage Project
Distribution:   JPackage
Source0:	http://www.honeylocust.com/RngPack/RngPack-1.1a.tar.gz
Source1:	%{name}-build.xml
URL:            http://www.honeylocust.com/RngPack/
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant >= 1.6
BuildRequires:	/bin/bash

%description 
RngPack is a pseudorandom number generator package for Java. Pseudorandom means
that the "random" numbers are generated by a deterministic mathematical
process, not by a fundamentally random physical process such as radioactive
decay or Johnson noise. RngPack contains base classes that add value to random
number generators, four research grade generators, as well as a wrapper for
Java's built in random number generator and a demonstration
application. RngPack comes with java class documentation. Because RngPack is a
set of Java classes it can be used in both applications and in applets. RngPack
is available under the BSD License.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -c -q
mv rngpack/* .
cp %{SOURCE1} build.xml

%build
export CLASSPATH=%(build-classpath)
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  jar javadoc

%install
rm -fr $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Aug 25 2004 Fernando Nasser <fnasser@redhat.com> 1:1.1-0.a.2jpp
- Require Ant > 1.6
- Rebuild with Ant 1.6.2

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 1:1.1-0.a.1jpp
- fix version/release (and bump epoch)
- rename Source1

* Mon Nov 17 2003 Sebastiano Vigna <vigna@acm.org> 1.1a
- First JPackage version
